[GET] ~/uiconfig/resultlist

Gets result list appearance.

Request Information

URI Parameters

None.

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

The result list appearance.

An instance of: ResultAppearanceConfiguration
NameDescriptionType
Orderings

Collection of SortBy

DefaultOrdering

SortBy

DefaultOrderDir

SortDir

PageSizes

Collection of integer

DefaultPageSize

integer

EnableInfiniteScroll

boolean

FeaturePriority

FeaturePriorityConfiguration

NavBarBehavior

NavBarBehavior

SecondaryResultDisplay

SecondaryResultDisplay

DefaultResultPageLayout

ResultPageLayout

Response Formats

application/json, text/json

Sample:
{
  "orderings": [
    "Model",
    "Model"
  ],
  "defaultOrdering": "Model",
  "defaultOrderDir": "Asc",
  "pageSizes": [
    1,
    2
  ],
  "defaultPageSize": 1,
  "enableInfiniteScroll": true,
  "featurePriority": {
    "webSettingsGroupId": 1,
    "prioritizedFeatureIds": [
      1,
      2
    ]
  },
  "navBarBehavior": "Hidden",
  "secondaryResultDisplay": "Default",
  "defaultResultPageLayout": "RegularList"
}